<?php
/**
 * @package SJ CoolShowcase for SobiPro
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;
defined( 'DS' ) || define( 'DS', DIRECTORY_SEPARATOR );
require_once dirname( __FILE__ ).'/core/fields/sjspdefine.php';
$file_config = SOBI_PATH.'/lib/base/fs/loader.php';
if(file_exists($file_config)){
	require_once($file_config);
	SPLoader::loadClass( 'base.const' );
	SPLoader::loadClass( 'base.factory' );
	SPLoader::loadClass( 'base.object' );
	SPLoader::loadClass( 'base.filter' );
	SPLoader::loadClass( 'base.request' );
	SPLoader::loadClass( 'sobi' );
	SPLoader::loadClass( 'base.config' );
	SPLoader::loadClass( 'cms.base.lang' );
	Sobi::Init( JPATH_ROOT, JFactory::getConfig()->get('config.language' ),$params->get('sid',0) );
}else{
	echo JText::_('Sobipro component is not installed?');
	return;
}

require_once dirname( __FILE__ ).'/core/helper.php';
$layout = $params->get('layout','default');
$cacheid = md5(serialize(array ($layout, $module->module)));
$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class = 'SPCoolShowcaseHelper';
$cacheparams->method = 'getList';
$cacheparams->methodparams = $params;
$cacheparams->modeparams = $cacheid;
$list = JModuleHelper::moduleCache ($module, $params, $cacheparams);
if(!empty($list))
{
	require JModuleHelper::getLayoutPath($module->module);
}else{
	echo JText::_('Has no content to show!');
}